import { geoNaturalEarth1, geoPath, geoGraticule, geoMercator, sum } from 'd3';

import {  format } from 'd3';

const projection = geoMercator();
const path = geoPath(projection);
const graticule = geoGraticule();

//const projection = geoAlbers()
	//.center([0,41.9])
 // .rotate([71.727,0])
//  .parallels([41,44])
//	.scale(13000);
//const path = geoPath(projection);
//const path = (topojasonData) => { 
// const {ma} = topojsonData.objects;
//geoPath(projection.fitExtent([[20, 20], [940, 480]], ma))};

export const Marks = ({
  mapData: { land, interiors },
  viewData,
  lng,
  lat,
  views,
  country,
  sizeScale,
  sizeValue,

}) => (
  
<g className="marks">
      <path className="sphere" d={path({ type: 'Sphere' })} />
      <path className="graticules" d={path(graticule())} />
      {land.features.map(feature => (
        <path className="land" d={path(feature)} />
    
	))}
  
        <path className="interiors" d={path(interiors)} />
  
    {viewData.map(d=> {
  const [x,y] = projection([d.lng, d.lat]);
      return <circle className="points"
               cx ={x} cy= {y} r= {sizeScale(sizeValue(d))}>
               <title>{country(d)}: {views(d)}</title>
               </circle>
		})}
  </g>
);
